diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/helper/lr-wpan-helper.cc ns-3.42/src/lr-wpan/helper/lr-wpan-helper.cc
--- ns-3.41/src/lr-wpan/helper/lr-wpan-helper.cc	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/helper/lr-wpan-helper.cc	2024-05-29 15:29:46.976073300 -0700
@@ -116,35 +116,35 @@
 }
 
 std::string
-LrWpanHelper::LrWpanPhyEnumerationPrinter(LrWpanPhyEnumeration e)
+LrWpanHelper::LrWpanPhyEnumerationPrinter(lrwpan::PhyEnumeration e)
 {
     switch (e)
     {
-    case IEEE_802_15_4_PHY_BUSY:
+    case lrwpan::IEEE_802_15_4_PHY_BUSY:
         return std::string("BUSY");
-    case IEEE_802_15_4_PHY_BUSY_RX:
+    case lrwpan::IEEE_802_15_4_PHY_BUSY_RX:
         return std::string("BUSY_RX");
-    case IEEE_802_15_4_PHY_BUSY_TX:
+    case lrwpan::IEEE_802_15_4_PHY_BUSY_TX:
         return std::string("BUSY_TX");
-    case IEEE_802_15_4_PHY_FORCE_TRX_OFF:
+    case lrwpan::IEEE_802_15_4_PHY_FORCE_TRX_OFF:
         return std::string("FORCE_TRX_OFF");
-    case IEEE_802_15_4_PHY_IDLE:
+    case lrwpan::IEEE_802_15_4_PHY_IDLE:
         return std::string("IDLE");
-    case IEEE_802_15_4_PHY_INVALID_PARAMETER:
+    case lrwpan::IEEE_802_15_4_PHY_INVALID_PARAMETER:
         return std::string("INVALID_PARAMETER");
-    case IEEE_802_15_4_PHY_RX_ON:
+    case lrwpan::IEEE_802_15_4_PHY_RX_ON:
         return std::string("RX_ON");
-    case IEEE_802_15_4_PHY_SUCCESS:
+    case lrwpan::IEEE_802_15_4_PHY_SUCCESS:
         return std::string("SUCCESS");
-    case IEEE_802_15_4_PHY_TRX_OFF:
+    case lrwpan::IEEE_802_15_4_PHY_TRX_OFF:
         return std::string("TRX_OFF");
-    case IEEE_802_15_4_PHY_TX_ON:
+    case lrwpan::IEEE_802_15_4_PHY_TX_ON:
         return std::string("TX_ON");
-    case IEEE_802_15_4_PHY_UNSUPPORTED_ATTRIBUTE:
+    case lrwpan::IEEE_802_15_4_PHY_UNSUPPORTED_ATTRIBUTE:
         return std::string("UNSUPPORTED_ATTRIBUTE");
-    case IEEE_802_15_4_PHY_READ_ONLY:
+    case lrwpan::IEEE_802_15_4_PHY_READ_ONLY:
         return std::string("READ_ONLY");
-    case IEEE_802_15_4_PHY_UNSPECIFIED:
+    case lrwpan::IEEE_802_15_4_PHY_UNSPECIFIED:
         return std::string("UNSPECIFIED");
     default:
         return std::string("INVALID");
@@ -152,17 +152,17 @@
 }
 
 std::string
-LrWpanHelper::LrWpanMacStatePrinter(LrWpanMacState e)
+LrWpanHelper::LrWpanMacStatePrinter(lrwpan::MacState e)
 {
     switch (e)
     {
-    case MAC_IDLE:
+    case lrwpan::MAC_IDLE:
         return std::string("MAC_IDLE");
-    case CHANNEL_ACCESS_FAILURE:
+    case lrwpan::CHANNEL_ACCESS_FAILURE:
         return std::string("CHANNEL_ACCESS_FAILURE");
-    case CHANNEL_IDLE:
+    case lrwpan::CHANNEL_IDLE:
         return std::string("CHANNEL_IDLE");
-    case SET_PHY_TX_ON:
+    case lrwpan::SET_PHY_TX_ON:
         return std::string("SET_PHY_TX_ON");
     default:
         return std::string("INVALID");
@@ -170,7 +170,7 @@
 }
 
 void
-LrWpanHelper::AddMobility(Ptr<LrWpanPhy> phy, Ptr<MobilityModel> m)
+LrWpanHelper::AddMobility(Ptr<lrwpan::LrWpanPhy> phy, Ptr<MobilityModel> m)
 {
     phy->SetMobility(m);
 }
@@ -183,7 +183,7 @@
     {
         Ptr<Node> node = *i;
 
-        Ptr<LrWpanNetDevice> netDevice = CreateObject<LrWpanNetDevice>();
+        Ptr<lrwpan::LrWpanNetDevice> netDevice = CreateObject<lrwpan::LrWpanNetDevice>();
         netDevice->SetChannel(m_channel);
         node->AddDevice(netDevice);
         netDevice->SetNode(node);
@@ -221,7 +221,7 @@
     for (auto i = c.Begin(); i != c.End(); ++i)
     {
         netDevice = (*i);
-        Ptr<LrWpanNetDevice> lrwpan = DynamicCast<LrWpanNetDevice>(netDevice);
+        Ptr<lrwpan::LrWpanNetDevice> lrwpan = DynamicCast<lrwpan::LrWpanNetDevice>(netDevice);
         if (lrwpan)
         {
             currentStream += lrwpan->AssignStreams(currentStream);
@@ -249,7 +249,7 @@
             NS_ABORT_MSG("Only 65533 addresses supported. Range [00:01]-[FF:FD]");
         }
 
-        Ptr<LrWpanNetDevice> device = DynamicCast<LrWpanNetDevice>(*i);
+        Ptr<lrwpan::LrWpanNetDevice> device = DynamicCast<lrwpan::LrWpanNetDevice>(*i);
         if (device)
         {
             idBuf[0] = (id >> 8) & 0xff;
@@ -287,7 +287,7 @@
 
     for (auto i = c.Begin(); i != c.End(); i++)
     {
-        Ptr<LrWpanNetDevice> device = DynamicCast<LrWpanNetDevice>(*i);
+        Ptr<lrwpan::LrWpanNetDevice> device = DynamicCast<lrwpan::LrWpanNetDevice>(*i);
         if (device)
         {
             idBuf[0] = (id >> 56) & 0xff;
@@ -338,7 +338,7 @@
     // have to switch on each type below and insert into the right
     // NetDevice type
     //
-    Ptr<LrWpanNetDevice> device = nd->GetObject<LrWpanNetDevice>();
+    Ptr<lrwpan::LrWpanNetDevice> device = nd->GetObject<lrwpan::LrWpanNetDevice>();
     if (!device)
     {
         NS_LOG_INFO("LrWpanHelper::EnablePcapInternal(): Device "
@@ -383,7 +383,7 @@
     uint32_t deviceid = nd->GetIfIndex();
     std::ostringstream oss;
 
-    Ptr<LrWpanNetDevice> device = nd->GetObject<LrWpanNetDevice>();
+    Ptr<lrwpan::LrWpanNetDevice> device = nd->GetObject<lrwpan::LrWpanNetDevice>();
     if (!device)
     {
         NS_LOG_INFO("LrWpanHelper::EnableAsciiInternal(): Device "
@@ -428,23 +428,23 @@
         // The Mac and Phy objects have the trace sources for these
         //
 
-        asciiTraceHelper.HookDefaultReceiveSinkWithoutContext<LrWpanMac>(device->GetMac(),
-                                                                         "MacRx",
-                                                                         theStream);
+        asciiTraceHelper.HookDefaultReceiveSinkWithoutContext<lrwpan::LrWpanMac>(device->GetMac(),
+                                                                                 "MacRx",
+                                                                                 theStream);
 
         device->GetMac()->TraceConnectWithoutContext(
             "MacTx",
             MakeBoundCallback(&AsciiLrWpanMacTransmitSinkWithoutContext, theStream));
 
-        asciiTraceHelper.HookDefaultEnqueueSinkWithoutContext<LrWpanMac>(device->GetMac(),
-                                                                         "MacTxEnqueue",
-                                                                         theStream);
-        asciiTraceHelper.HookDefaultDequeueSinkWithoutContext<LrWpanMac>(device->GetMac(),
-                                                                         "MacTxDequeue",
-                                                                         theStream);
-        asciiTraceHelper.HookDefaultDropSinkWithoutContext<LrWpanMac>(device->GetMac(),
-                                                                      "MacTxDrop",
-                                                                      theStream);
+        asciiTraceHelper.HookDefaultEnqueueSinkWithoutContext<lrwpan::LrWpanMac>(device->GetMac(),
+                                                                                 "MacTxEnqueue",
+                                                                                 theStream);
+        asciiTraceHelper.HookDefaultDequeueSinkWithoutContext<lrwpan::LrWpanMac>(device->GetMac(),
+                                                                                 "MacTxDequeue",
+                                                                                 theStream);
+        asciiTraceHelper.HookDefaultDropSinkWithoutContext<lrwpan::LrWpanMac>(device->GetMac(),
+                                                                              "MacTxDrop",
+                                                                              theStream);
 
         return;
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/helper/lr-wpan-helper.h ns-3.42/src/lr-wpan/helper/lr-wpan-helper.h
--- ns-3.41/src/lr-wpan/helper/lr-wpan-helper.h	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/helper/lr-wpan-helper.h	2024-05-29 15:29:46.976073300 -0700
@@ -99,7 +99,7 @@
      * \param phy the physical device
      * \param m the mobility model
      */
-    void AddMobility(Ptr<LrWpanPhy> phy, Ptr<MobilityModel> m);
+    void AddMobility(Ptr<lrwpan::LrWpanPhy> phy, Ptr<MobilityModel> m);
 
     /**
      * \brief Install a LrWpanNetDevice and the associated structures (e.g., channel) in the nodes.
@@ -137,14 +137,14 @@
      * \param e the LrWpanPhyEnumeration
      * \return a string
      */
-    static std::string LrWpanPhyEnumerationPrinter(LrWpanPhyEnumeration e);
+    static std::string LrWpanPhyEnumerationPrinter(lrwpan::PhyEnumeration e);
 
     /**
      * \brief Transform the LrWpanMacState enumeration into a printable string.
      * \param e the LrWpanMacState
      * \return a string
      */
-    static std::string LrWpanMacStatePrinter(LrWpanMacState e);
+    static std::string LrWpanMacStatePrinter(lrwpan::MacState e);
 
     /**
      * Assign a fixed random variable stream number to the random variables
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-constants.h ns-3.42/src/lr-wpan/model/lr-wpan-constants.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-constants.h	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-constants.h	2024-05-29 15:29:46.976073300 -0700
@@ -34,7 +34,7 @@
 {
 
 /**
- * \defgroup LrWpanConstants
+ * \defgroup LrWpanConstants LR-WPAN common parameters
  * \ingroup lr-wpan
  *
  * Contains common parameters about LR-WPAN that can be reused in multiple files.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-csmaca.cc ns-3.42/src/lr-wpan/model/lr-wpan-csmaca.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-csmaca.cc	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-csmaca.cc	2024-05-29 15:29:46.976073300 -0700
@@ -37,9 +37,10 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_LOG_COMPONENT_DEFINE("LrWpanCsmaCa");
-
 NS_OBJECT_ENSURE_REGISTERED(LrWpanCsmaCa);
 
 TypeId
@@ -78,7 +79,7 @@
 void
 LrWpanCsmaCa::DoDispose()
 {
-    m_lrWpanMacStateCallback = MakeNullCallback<void, LrWpanMacState>();
+    m_lrWpanMacStateCallback = MakeNullCallback<void, MacState>();
     m_lrWpanMacTransCostCallback = MakeNullCallback<void, uint32_t>();
 
     Cancel();
@@ -253,7 +254,7 @@
         }
 
         // m_coorDest to decide between incoming and outgoing superframes times
-        m_coorDest = m_mac->isCoordDest();
+        m_coorDest = m_mac->IsCoordDest();
 
         // Locate backoff period boundary. (i.e. a time delay to align with the next backoff period
         // boundary)
@@ -405,7 +406,7 @@
 
     transactionSymbols = ccaSymbols + m_mac->GetTxPacketSymbols();
 
-    if (m_mac->isTxAckReq())
+    if (m_mac->IsTxAckReq())
     {
         NS_LOG_DEBUG("ACK duration symbols: " << m_mac->GetMacAckWaitDuration());
         transactionSymbols += m_mac->GetMacAckWaitDuration();
@@ -460,7 +461,7 @@
 }
 
 void
-LrWpanCsmaCa::PlmeCcaConfirm(LrWpanPhyEnumeration status)
+LrWpanCsmaCa::PlmeCcaConfirm(PhyEnumeration status)
 {
     NS_LOG_FUNCTION(this << status);
 
@@ -571,4 +572,5 @@
     return m_macBattLifeExt;
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-csmaca.h ns-3.42/src/lr-wpan/model/lr-wpan-csmaca.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-csmaca.h	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-csmaca.h	2024-05-29 15:29:46.976073300 -0700
@@ -33,12 +33,15 @@
 
 class UniformRandomVariable;
 
+namespace lrwpan
+{
+
 /**
  * \ingroup lr-wpan
  *
  * This method informs the MAC whether the channel is idle or busy.
  */
-typedef Callback<void, LrWpanMacState> LrWpanMacStateCallback;
+typedef Callback<void, MacState> LrWpanMacStateCallback;
 /**
  * \ingroup lr-wpan
  *
@@ -198,7 +201,7 @@
      * permitting transmission (step 5). If channel is busy, either backoff and perform CCA again or
      * treat as channel access failure (step 4).
      */
-    void PlmeCcaConfirm(LrWpanPhyEnumeration status);
+    void PlmeCcaConfirm(PhyEnumeration status);
     /**
      * Set the callback function to report a transaction cost in slotted CSMA-CA. The callback is
      * triggered in CanProceed() after calculating the transaction cost (2 CCA checks,transmission
@@ -331,6 +334,7 @@
     bool m_coorDest;
 };
 
+} // namespace lrwpan
 } // namespace ns3
 
 // namespace ns-3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-error-model.cc ns-3.42/src/lr-wpan/model/lr-wpan-error-model.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-error-model.cc	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-error-model.cc	2024-05-29 15:29:46.976073300 -0700
@@ -24,9 +24,10 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_LOG_COMPONENT_DEFINE("LrWpanErrorModel");
-
 NS_OBJECT_ENSURE_REGISTERED(LrWpanErrorModel);
 
 TypeId
@@ -76,5 +77,5 @@
     double retval = pow(1.0 - ber, nbits);
     return retval;
 }
-
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-error-model.h ns-3.42/src/lr-wpan/model/lr-wpan-error-model.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-error-model.h	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-error-model.h	2024-05-29 15:29:46.976073300 -0700
@@ -23,6 +23,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 /**
  * \ingroup lr-wpan
@@ -58,7 +60,7 @@
      */
     double m_binomialCoefficients[17];
 };
-
+} // namespace lrwpan
 } // namespace ns3
 
 #endif /* LR_WPAN_ERROR_MODEL_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-fields.cc ns-3.42/src/lr-wpan/model/lr-wpan-fields.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-fields.cc	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-fields.cc	2024-05-29 15:29:46.976073300 -0700
@@ -24,6 +24,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 SuperframeField::SuperframeField()
 {
@@ -587,4 +589,5 @@
     return os;
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-fields.h ns-3.42/src/lr-wpan/model/lr-wpan-fields.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-fields.h	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-fields.h	2024-05-29 15:29:46.976073300 -0700
@@ -34,6 +34,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 /**
  * \ingroup lr-wpan
@@ -458,6 +460,7 @@
 
 std::ostream& operator<<(std::ostream& os, const CapabilityField& capabilityField);
 
-} // end namespace ns3
+} // namespace lrwpan
+} // namespace ns3
 
 #endif /* LR_WPAN_FIELDS_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-interference-helper.cc ns-3.42/src/lr-wpan/model/lr-wpan-interference-helper.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-interference-helper.cc	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-interference-helper.cc	2024-05-29 15:29:46.976073300 -0700
@@ -25,6 +25,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_LOG_COMPONENT_DEFINE("LrWpanInterferenceHelper");
 
@@ -106,4 +108,5 @@
     return m_signal->Copy();
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-interference-helper.h ns-3.42/src/lr-wpan/model/lr-wpan-interference-helper.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-interference-helper.h	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-interference-helper.h	2024-05-29 15:29:46.976073300 -0700
@@ -31,6 +31,9 @@
 class SpectrumValue;
 class SpectrumModel;
 
+namespace lrwpan
+{
+
 /**
  * \ingroup lr-wpan
  *
@@ -120,6 +123,7 @@
     mutable bool m_dirty;
 };
 
+} // namespace lrwpan
 } // namespace ns3
 
 #endif /* LR_WPAN_INTERFERENCE_HELPER_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-lqi-tag.cc ns-3.42/src/lr-wpan/model/lr-wpan-lqi-tag.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-lqi-tag.cc	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-lqi-tag.cc	2024-05-29 15:29:46.976073300 -0700
@@ -23,6 +23,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_OBJECT_ENSURE_REGISTERED(LrWpanLqiTag);
 
@@ -93,4 +95,5 @@
     return m_lqi;
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-lqi-tag.h ns-3.42/src/lr-wpan/model/lr-wpan-lqi-tag.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-lqi-tag.h	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-lqi-tag.h	2024-05-29 15:29:46.976073300 -0700
@@ -24,6 +24,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 /**
  * \ingroup lr-wpan
@@ -83,5 +85,6 @@
     uint8_t m_lqi;
 };
 
+} // namespace lrwpan
 } // namespace ns3
 #endif /* LR_WPAN_LQI_TAG_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-mac-base.cc ns-3.42/src/lr-wpan/model/lr-wpan-mac-base.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-mac-base.cc	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-mac-base.cc	2024-05-29 15:29:46.976073300 -0700
@@ -24,6 +24,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_LOG_COMPONENT_DEFINE("LrWpanMacBase");
 NS_OBJECT_ENSURE_REGISTERED(LrWpanMacBase);
@@ -117,4 +119,5 @@
     m_mlmePollConfirmCallback = c;
 }
 
+} // namespace lrwpan
 } // namespace ns3
